export var shortcodes = {
  "m": "margin",
  "mt": "marginTop",
  "mr": "marginRight",
  "mb": "marginBottom",
  "ml": "marginLeft",
  "mx": ["marginLeft", "marginRight"],
  "my": ["marginTop", "marginBottom"],
  "marginX": ["marginLeft", "marginRight"],
  "marginY": ["marginTop", "marginBottom"],
  "p": "padding",
  "pt": "paddingTop",
  "pr": "paddingRight",
  "pb": "paddingBottom",
  "pl": "paddingLeft",
  "px": ["paddingLeft", "paddingRight"],
  "py": ["paddingTop", "paddingBottom"],
  "paddingX": ["paddingLeft", "paddingRight"],
  "paddingY": ["paddingTop", "paddingBottom"],
  "bg": "background",
  "bgColor": "backgroundColor",
  "bgImage": "backgroundImage",
  "bgRepeat": "backgroundRepeat",
  "bgAttachment": "backgroundAttachment",
  "bgPosition": "backgroundPosition",
  "maxW": "maxWidth",
  "maxH": "maxHeight"
};
export var processors = [{
  test: function test(key) {
    return ["margin", "padding", "gap", "rowGap", "columnGap"].some(function (prop) {
      return key.startsWith(prop);
    });
  },
  keyTheme: "spaces"
}, {
  test: function test(key) {
    return key === "boxShadow";
  },
  keyTheme: "shadows"
}, {
  test: function test(key) {
    return ["color", "fill", "borderColor", "stroke"].includes(key);
  },
  keyTheme: "colors"
}, {
  test: function test(key) {
    return key.startsWith("background");
  },
  keyTheme: "colors"
}];